#!/bin/ksh

# This test script exercises the tool VIIRS_CRIS_MAIA4_RUN that is introduced in
# AAPP v8.4.
#
# See description in 00README.txt
#
# 23/04/2019
#############################################################################


if [ "$AAPP_PREFIX" = "" ]; then
  echo 'Error: AAPP_PREFIX not defined'
  exit 2
fi
if [ ! -d "$AAPP_PREFIX" ]; then
  echo 'Error: AAPP_PREFIX is not a directory:' $AAPP_PREFIX
  exit 2
fi

. "$AAPP_PREFIX/ATOVS_CONF"

topdir=$PWD
datadir_cris=$topdir/data/cris_sdr
datadir_viirs=$topdir/data/viirs_sdr
workdir=$topdir/work_viirs_cris_maia4
mkdir -p $workdir
cd $workdir

export CRIS_SDR_DIR=$datadir_cris
export VIIRS_SDR_DIR=$datadir_viirs
export VIIRS_BANDS="M5 M7 M12 M15 M16"
export DIR_FORECAST=$topdir/forecast

time VIIRS_CRIS_MAIA4_RUN
status=$?

if [ $status = 0 ]; then
  echo "Completed VIIRS_CRIS_MAIA4_RUN. The main output file is"
  ls -l *channels_clusters.bufr
else
  echo "VIIRS_CRIS_MAIA4_RUN returned error $status"
fi
